Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85956

Summary: broken messages build
Product: [Retired] Red Hat Linux Reporter: Andy Shevchenko <andy>
Component: manAssignee: Eido Inoue <havill>
Status: CLOSED CURRENTRELEASE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-04-19 20:11:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Andy Shevchenko 2003-03-11 14:43:02 UTC
Description of problem:
Directory msgs/ in man source tree is contained the text
messages of the man program


Version-Release number of selected component (if applicable):
man-1.5k-6 from rawhide


How reproducible:
try to build and see build outputs 


Expected results:
gencat tool must be set locale to 'true' value


Additional info:
In msgs directory I run make manually.
Please, see result

[andy@andriy msgs]$ LANG=C make 2>&1 | grep message\ ignored | cut -f1 -d: | sort -u
mess.cs.catin
mess.da.catin
mess.de.catin
mess.es.catin
mess.fi.catin
mess.fr.catin
mess.hr.catin
mess.it.catin
mess.ja.catin
mess.nl.catin
mess.pl.catin
mess.pt.catin
mess.ru.catin
mess.sl.catin
[andy@andriy msgs]$ LANG=en_US make 2>&1 | grep message\ ignored | cut -f1 -d: |
sort -u
[andy@andriy msgs]$

Comment 1 Eido Inoue 2003-08-07 21:30:27 UTC
So how does one set the LANG so that all the messages are built, rather than
just one (such as en_US in your example?)